package com.ifish.exception;

import com.ifish.enums.ResultEnum;

/**
 * 自定义异常
 *
 * @author Administrator
 *
 */
public class IfishException extends RuntimeException {

    private static final long serialVersionUID = 4182058914725642218L;

    private String result;

    public IfishException(ResultEnum resultEnum) {
        super(resultEnum.getValue());
        this.result = resultEnum.getKey();
    }

    public String getResult() {
        return result;
    }

}
